# Monarch Digital's Bootstrap Drupal Project

This ia a Composer installer for Monarch Digital Drupal projects base on the Bootstrap framework (https://getbootstrap.com/).

## Geting Started

### 1. Create the project and install dependencies
```
$ composer create-project monarch/bootstrap-project --repository=https://packages.monarchdigital.com MY_PROJECT
$ cd MY_PROJECT
```
This will create composer.json and download all default project dependencies including Drupal Core.

### 2. Configure settings and services
```
$ cp example.settings.php sites/default/settings.php
$ cp example.settings.local.php sites/defualt/settings.local.php
$ cp sites/default/default.services.yml sites/default/services.yml
```

Edit sites/default/settings.local.php and add database credentials and other
environment specific settings.

### 3. Install Drupal

```
$ drush si bootstrap_install -y
```
If you want to override the default user name and password, you can use the following

```
$ drush si bootstrap_install -y --user=admin --password=password
```
Be sure not use use admin:password as your user credentials!!! :P
